RMMOD(1)

NAME
rmmod - unload loadable modules

SYNOPSIS
rmmod [ -as ] module ...

DESCRIPTION
Rmmod unloads loadable modules from the running kernel.

Rmmod tries to unload a set of modules from the kernel, with the restriction that they are not in use and that they are not referred to by other modules.

If more than one module is named on the command line, the modules will be removed simultansously. This supports unloading of stacked modules.

  OPTIONS

-a  Remove all unused modules.

-s  Output everything to syslog(3) instead of the terminal.

SEE ALSO
insmod(1), lsmod(1), ksyms(1), modules(2)

HISTORY
Module support was first concieved by Anonymous
Initial Linux version by Bas Laarhoven <bas@vimec.nl>
Version 0.99.14 by Jon Tombs <jon@gtex02.us.es>
Extended by Bjorn Ekwall <bj0rn@blox.se>
Updated for 2.1.17 by Richard Henderson <rth@tamu.edu>